Bug 38443 - Printer properties ignored from macros
Summary: Printer properties ignored from macros
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro-UNOAPI
  Show dependency treegraph
 
Reported: 2011-06-18 08:12 UTC by Oliver Brinzing
Modified: 2021-09-25 14:26 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
print demo (17.58 KB, application/vnd.oasis.opendocument.text)
2017-05-13 09:43 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Brinzing 2011-06-18 08:12:04 UTC
see http://openoffice.org/bugzilla/show_bug.cgi?id=117783 for details
Comment 1 Björn Michaelsen 2011-12-23 12:27:21 UTC Comment hidden (obsolete)
Comment 2 Florian Reisinger 2012-08-14 14:02:41 UTC Comment hidden (obsolete)
Comment 3 Florian Reisinger 2012-08-14 14:03:37 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 14:08:12 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:10:17 UTC Comment hidden (obsolete)
Comment 6 Andy Gianfagna 2014-06-25 19:20:51 UTC
I was able to reproduce this issue with LibreOffice Writer 4.2.5.2.  The corresponding issue, which was fixed, in the Apache OpenOffice project is here: https://issues.apache.org/ooo/show_bug.cgi?id=117783.

Using the macro listed in the first comment on that bug, the output printout is still on a single page.
Comment 7 Joel Madero 2014-11-04 03:45:47 UTC
As it looks like this is confirmed, NEW is the right status not REOPENED. Setting as such.
Comment 8 QA Administrators 2015-12-20 16:12:21 UTC Comment hidden (obsolete)
Comment 9 Oliver Brinzing 2015-12-27 07:55:17 UTC
this bug is still present in lo 5.1beta

the two macro's provided at https://bz.apache.org/ooo/show_bug.cgi?id=117783
do not print a writer page in landscape mode.
Comment 10 Ilya Melnikov 2016-05-15 07:03:43 UTC
Bug is still present in LibreOffice 5.0.6, 5.1.3.
Also tried in LibreOffice 3/4.

Andrew Pitonyak’s macro does not work:
Sub PrintTwoPerPage
  Dim Props(0 To 1) As New com.sun.star.beans.PropertyValue
  Props(0).Name = "PageColumns" : Props(0).Value = 2
  Props(1).Name = "IsLandscape" : Props(1).Value = True
  If HasUnoInterfaces(ThisComponent, "com.sun.star.text.XPagePrintable") Then
    ThisComponent.setPagePrintSettings(Props())  '
    ThisComponent.printPages(Array())            'Use default properties
  Else
    Print "Sorry, this document does not support the XPagePrintable interface"
  End If
End Sub
Comment 11 Oliver Brinzing 2017-05-13 09:43:18 UTC
Created attachment 133288 [details]
print demo
Comment 12 Oliver Brinzing 2017-05-13 09:44:09 UTC
Bug is still present in LibreOffice 5.3.3 and 5.4.0.0.alpha1+
added a test document, prints 2 pages on one page with a00412.
Comment 13 QA Administrators 2018-06-17 02:44:11 UTC Comment hidden (obsolete)
Comment 14 Thorsten Behrens (allotropia) 2018-07-12 08:45:19 UTC
Looks like this is still unfixed in 6.1 beta2, moved out of the way an exception incorrectly thrown via this https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff;h=0853b05b1fabb231a7d57d811c5a06ee542d3295 for the while
Comment 15 Oliver Brinzing 2019-05-19 16:52:35 UTC
this issue is still reproducible with current master:

Version: 6.3.0.0.alpha0+ (x64)
Build ID: d822953cbc1d8814ac9f9eac2107177d37103542
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

originally seems to be inherited from from aoo, but it has been fixed in aoo 3.4,
so works in aoo 4.1.5.

https://bz.apache.org/ooo/show_bug.cgi?id=117783#c8

sw34bf06: #i117783# - Writer's implementation of XPagePrintable - apply print settings to new printing routines
https://svn.apache.org/viewvc?view=revision&revision=1172115
Comment 16 harrytonny 2019-06-03 06:29:22 UTC Comment hidden (spam)
Comment 17 harrytonny 2019-06-24 06:35:28 UTC Comment hidden (spam)
Comment 18 QA Administrators 2021-09-19 03:44:11 UTC Comment hidden (obsolete)
Comment 19 Oliver Brinzing 2021-09-19 13:48:32 UTC
repro with:

Version: 7.2.0.4 (x64) / LibreOffice Community
Build ID: 9a9c6381e3f7a62afc1329bd359cc48accb6435b
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: de-DE
Calc: threaded
Comment 20 QA Administrators 2021-09-20 03:40:42 UTC Comment hidden (obsolete)
Comment 21 Oliver Brinzing 2021-09-25 14:26:46 UTC
repro with:

Version: 7.2.0.4 (x64) / LibreOffice Community
Build ID: 9a9c6381e3f7a62afc1329bd359cc48accb6435b
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: de-DE
Calc: threaded